c***********************************************************************
c
c       SUBROUTINE COUT
c
c       SUBROUTINE PRINTS DETAILED TABLE OF THE  THERMAL CONDUCTIVITY
c       CALCULATIONS
c
c       VARIABLES
c       ---------
c       ALL VARIABLES ARE EXPLAINED IN COND OR HFRED
c
c***********************************************************************
c
       subroutine cout(npuls,npused,ktem,k,krms,pslope,
     $                  icond,ishift)

       implicit real(k)
       character answ*1
       common/sensor/nsensr,tcycle,deltat,a,dsensr,terror,plen,
     $                aa(15),bb(15),cc(15),
     $                ratcl(3),f(5000),alpha,fstart,fincr
       common/frico/fdelay(15),dincr,ifmax,tfmin,tfmax
       common/condco/kinit(15),ktoler,tsinit,tsincr,tpmin,tpmax,
     $                ipmax,pdelay(15),power
       common/out/lundat,lunout,long,lplot
        dimension ktem(nsensr),krms(nsensr),k(nsensr),
     $            pslope(nsensr),ishift(nsensr),
     $            npuls(nsensr),npused(nsensr),icond(nsensr)
c
       write(lunout,20)
       write(lunout,30)
       write(lunout,40)
       write(lunout,50)
c
       write(*,20)
       write(*,30)
       write(*,40)
       write(*,50)
c
c.......
c
       do       100       i=1,nsensr
       write(lunout,60)i,npuls(i),npused(i),ktem(i),k(i),
     $                 krms(i),pdelay(i),pslope(i),icond(i),ishift(i)
       write(*,60)i,npuls(i),npused(i),ktem(i),k(i),
     $                 krms(i),pdelay(i),pslope(i),icond(i),ishift(i)
100       continue
c
       write(lunout,70)
       write(*,70)
c
20       format(1h ,/,1h ,32x,'Heat Pulse Decay')
30       format(1h ,32x,'================')
40       format(1h ,5x,'sensor',2x,'no of points',2x,'temp. at in-',
     $        2x,'conducti-',5x,'sd',4x,'delay',2x,'slope',2x,
     $         'ci',1x,'ti')
50       format(1h ,13x,'total / used',2x,'finity (deg)',2x,
     $        'vity(W/mK)',2x,'(W/mK)',3x,'(s)')
60       format(1h ,5x,i3,8x,i2,' / ',i2,7x,f6.4,7x,f5.3,6x,f4.3,3x,f5.1
     $          ,2x,f5.2,2x,i2,1x,i2)
70       format(1h ,/,6x,'Remark : If ci and ti = 0   k = k(initial)',/,
     $          1h ,  6x,'         If ci and ti = 99  time < 0')
c
c.......
c
	write(lunout,80)
80	format(1h ,//)
c
       return
       end

