c***********************************************************************
c
c       SUBROUTINE RESULT
c
c       SUBROUTINE MAKES FOUR PLOTS :
c       1. F(ALPHA,TAU) VS. TEMPERATURE FOR THE FRICTIONAL DECAY
c       2. F(ALPHA,TAU) VS. TEMPERATURE FOR THE HEAT PULSE DECAY
c        3. TEMPERATURE AND THERMAL CONDUCTIVITY VS. DEPTH
c       4. THERMAL RESISTANCE VS. DEPTH (BULLARD PLOT)
c       THE SCREEN OPTION IS ONLY WORKING IF THE IBM-PC COLOR
c       MONITOR IS USED.
c       THE PLOT SOFTWARE USED IS PLOT88 MADE BY:
c       PLOTWORKS INC.
c       P.O.BOX 12385
c       LA JOLLA CA 92037-0635
c       (619) 457-5090
c
c       VARIABLES
c       ---------
c       VARIABLES ARE EXPLAINED ELSEWHERE
c
c***********************************************************************
c
        subroutine result(nfused,
     $                    sedtem,fslope,istn,ipen,
     $                    npused,
     $                    k,ktem,pslope,pid,weit)
c
       implicit real (k)
       character answ*1
       common/pdata/tfplot(75,15),rfplot(75,15),
     $               tpplot(75,15),rpplot(75,15)
       common/sensor/nsensr,tcycle,deltat,a,dsensr,terror,plen,
     $                aa(15),bb(15),cc(15),
     $                ratcl(3),f(5000),alpha,fstart,fincr
       common/condco/kinit(15),ktoler,tsinit,tsincr,tpmin,tpmax,
     $                ipmax,pdelay(15),power
       common/plotpa/fp(8),tp(8),cp(8),hp(8),bp(8)
       dimension nfused(nsensr),
     $            sedtem(nsensr),fslope(nsensr),k(nsensr),
     $            depth(20),work(20),bdepth(20),tem(20),
     $            npused(nsensr),
     $            ktem(nsensr),pslope(nsensr)
c
c.......ARRAYS FP,HP,TP,CP AND BP CONTAIN THE FOLLOWING PARAMETERS
c       (1) : LENGHT OF X-AXIS
c       (2) : LENGTH OF Y-AXIS
c       (3) : X-COORDINATE OF STATION NUMBER
c       (4) : Y-COORDINATE OF STATION NUMBER
c       (5) : START VALUE OF X-AXIS
c       (6) : START VALUE OF Y-AXIS
c       (7) : INCREMENTS PER INCH ON X-AXIS
c       (8) : INCREMENTS PER INCH ON Y-AXIS
c
c.......SET-UP OF THE PLOTTING DEVICES
c
5000    continue
c
       stn=istn
       pen=ipen
c
c.......PLOTTING OF FRICTIONAL DECAY
c
       nsum = 0
       do        800 i=1,nsensr
       nsum = nsum + nfused(i)
800       continue
       if(nsum.eq.0)  goto 1000
c
       call plots(0,0,9)
       call plot( 1.0, 1.0, -3 )
c
        call symbol(fp(3),fp(4),.21,'STN ',0.0,4)
        call number(fp(3)+1.,fp(4),.21,stn,0.0,-1 )
        call number(fp(3)+1.6,fp(4),.21,pen,0.0,-1)
        call number(fp(3)+2.5,fp(4),.15,pid,0.0,-1)
        call axis(0.0,0.0,'F(alpha,tau)',-12,fp(1),0.0,fp(5),fp(7))
        call axis(0.0,0.0,'Temperature (deg c)',19,fp(2),90.,
     $            fp(6),fp(8))
c
       do       100       i=1,nsensr
c
       tem(i) =(fp(8)*fp(2)*(nsensr-i+1))/(nsensr+1)
c
       if(nfused(i).eq.0)    goto 100
c
       do       200       j=1,nfused(i)
       x = (tfplot(j,i)-fp(5))/fp(7)
       rfplot(j,i) = rfplot(j,i) - sedtem(i)
       rfplot(j,i) = rfplot(j,i) + tem(i)
       y = (rfplot(j,i)-fp(6))/fp(8)
c
       call plot(x,y,3)
       call plot(x,y,2)
c
200       continue
c
       y = (tem(i)-fp(6))/fp(8)
c
       call plot(0.0,y,3)
c
       x = tfplot(nfused(i),i)-0.2*fp(7)
       y = tem(i)+fslope(i)*x
       x = (x-fp(5))/fp(7)
       y = (y-fp(6))/fp(8)
c
       call plot(x,y,2)
c
       x = tfplot(1,i)+0.2*fp(7)
       y = tem(i)+fslope(i)*x
       x = (x-fp(5))/fp(7)
       y = (y-fp(6))/fp(8)
c
       call plot(x,y,3)
c
       x = fp(1)*fp(7)+fp(5)
       y = tem(i)+fslope(i)*x
       x = (x-fp(5))/fp(7)
       y = (y-fp(6))/fp(8)
c
       call plot(x,y,2)
c
100       continue
c
       call plot(0.,0.,-999)
c
c.......TEMPERATURE AND CONDUCTIVITY VS. DEPTH
c
1000       call plot(1.0,1.0,-3)
c
        call symbol(tp(3),tp(4),.21,'STN ',0.0,4)
        call number(tp(3)+1.,tp(4),.21,stn,0.0,-1)
        call number(tp(3)+1.6,tp(4),.21,pen,0.0,-1)
       call number(tp(3)+2.5,tp(4),.15,pid,0.0,-1)
       call axis(0.0,8.0,'Temp (deg c)',12,tp(1),0.0,
     $                tp(5),tp(7) )
        call axis(0.0,0.0,'Depth (m)' , 9,tp(2),90.,tp(6),tp(8))
c
       l = 0
c
       do       300       i=1,nsensr
       if(nfused(i).eq.0)  goto 300
       l = l + 1
       work(l)=sedtem(i)
        depth(l)=(nsensr-i)*dsensr
300       continue
c
       work(l+1) = tp(5)
       work(l+2) = tp(7)
       depth(l+1) = tp(6)
       depth(l+2) = tp(8)
c
        call line(work,depth,l,1,-1,3)
c
       call plot(3.,0.,-3)
c
       call axis(.0,.0,'K (W/mK)',-8,cp(1),.0,cp(5),cp(7))
c
       l = 0
       do       900       i=1,nsensr
       if(npused(i).eq.0)   goto 900
       l=l+1
       work(l)=k(i)
       depth(l) = (nsensr-i)*dsensr
900       continue
c
       work(l+1) = cp(5)
       work(l+2) = cp(7)
       depth(l+1) = tp(6)
       depth(l+2) = tp(8)
c
        call line(work,depth,l,1,-1,4)
c
       call plot(0.,0.,-999)
c
c........HEAT PULSE DECAYS
c
       nsum = 0
       do        700 i=1,nsensr
       nsum = nsum + npused(i)
700       continue
       if(nsum.eq.0)  goto 3000
c
       call plot( 1.0, 1.0, -3 )
c
        call symbol(hp(3),hp(4),.21,'STN ',0.0,4)
        call number(hp(3)+1.,hp(4),.21,stn,0.0,-1 )
        call number(hp(3)+1.6,hp(4),.21,pen,0.0,-1)
       call number(hp(3)+2.5,hp(4),.15,pid,0.0,-1)
        call axis(0.0,0.0,'F(alpha,tau)',-12,hp(1),0.0,hp(5),hp(7))
       call axis(0.0,0.0,'Temperature (deg c)',19,hp(2),90.,
     $            hp(6),hp(8))
c
       do       400       i=1,nsensr
c
       if(npused(i).eq.0)   goto 400
c
       do       500       j=1,npused(i)
       rpplot(j,i) = rpplot(j,i) + 0.2*(nsensr-i)
       x = (tpplot(j,i)-hp(5))/hp(7)
       y = (rpplot(j,i)-hp(6))/hp(8)
c
       call plot(x,y,3)
       call plot(x,y,2)
c
500       continue
c
       axe = ktem(i) + (nsensr-i)*0.2
c
       y = (axe-hp(6))/hp(8)
c
       call plot(0.0,y,3)
c
       x = tpplot(npused(i),i)-0.2*hp(7)
       y = axe+pslope(i)*x
       x = (x-hp(5))/hp(7)
       y = (y-hp(6))/hp(8)
c
       call plot(x,y,2)
c
       x = tpplot(1,i)+0.2*hp(7)
       y = axe+pslope(i)*x
       x = (x-hp(5))/hp(7)
       y = (y-hp(6))/hp(8)
c
       call plot(x,y,3)
c
       x = hp(1)*hp(7)+hp(5)
       y = axe+pslope(i)*x
       x = (x-hp(5))/hp(7)
       y = (y-hp(6))/hp(8)
c
       call plot(x,y,2)
c
400       continue
c
       call plot(0.,0.,-999)
c
c.......THERMAL RESISTANCE VS. DEPTH
c
3000        call plot(1.0,1.0,-3)
c
       call bdwt(k,nsensr,weit,dsensr,bdepth)
c
       l=0
       do       600     i=1,nsensr
       if(nfused(i).eq.0)   goto 600
       l=l+1
       work(l)=sedtem(i)
       bdepth(l)=bdepth(i)
600       continue
c
       bp(5) = work(l)
       bp(6) = bdepth(1)
       bp(7) = (work(1)-work(l))/bp(1)
       bp(8) = (bdepth(1)-bdepth(l))/bp(2)
       bp(8) = -bp(8)
       work(l+1) = bp(5)
       work(l+2) = bp(7)
       bdepth(l+1) = bp(6)
       bdepth(l+2) = bp(8)
c
        call symbol(bp(3),bp(4),.21,'STN ',0.0,4)
        call number(bp(3)+1.,bp(4),.21,stn,0.0,-1)
        call number(bp(3)+1.6,bp(4),.21,pen,0.0,-1)
       call number(bp(3)+2.5,bp(4),.15,pid,0.0,-1)
       call axis(0.0,8.0,'Temp (deg c)',12,bp(1),0.0,
     $                bp(5),bp(7) )
        call axis(0.0,0.0,'Bullard - depth (m*m K/W)' ,25,
     $            bp(2),90.,bp(6),bp(8))
c
        call line(work,bdepth,l,1,-1,4)
c
       call plot(0.,0.,999)
c
       return
       end


